summary | shortlog | log | commit | commitdiff | tree
raw | patch | inline | side by side (parent: 7088506)
raw | patch | inline | side by side (parent: 7088506)
author | Sebastian Harl <sh@tokkee.org> | |
Thu, 27 Aug 2009 22:05:32 +0000 (00:05 +0200) | ||
committer | Sebastian Harl <sh@tokkee.org> | |
Thu, 27 Aug 2009 22:05:32 +0000 (00:05 +0200) |
debian/changelog | patch | blob | history | |
debian/patches/00list | patch | blob | history | |
debian/patches/bts541953-curl-followlocation.dpatch | [new file with mode: 0755] | patch | blob |
debian/patches/curl-followlocation.dpatch | [deleted file] | patch | blob | history |
diff --git a/debian/changelog b/debian/changelog
index 9fae6c3a50801b61f84b6919f0dce9c71b9f3550..ca857be4fcc269af1c4acf34302d05132c10a9b7 100644 (file)
--- a/debian/changelog
+++ b/debian/changelog
'plugin_unregister_read()' functional again, thus fixing a failed
assertion in some cases.
- Added java-fix-jvm-start.dpatch - upstream patch to fix the JVM startup.
- - Added curl-followlocation.dpatch - upstream patch to let plugins using
- libcurl follow HTTP redirects; thanks to Joey Hess for reporting this
- (Closes: #541953).
+ - Added bts541953-curl-followlocation.dpatch - upstream patch to let
+ plugins using libcurl follow HTTP redirects; thanks to Joey Hess for
+ reporting this (Closes: #541953).
- Added bts535787-powerdns-fix-localsocket.dpatch - upstream patch fixing
the handling of the LocalSocket config option of the powerdns plugin;
thanks to Thomas Morgan for reporting this and Luke Heberling for
- Set the 'apache' plugin's URL according to the default used by Debian's
Apache; thanks to Joey Hess for reporting this (Closes: #541888).
- -- Sebastian Harl <tokkee@debian.org> Thu, 27 Aug 2009 23:49:54 +0200
+ -- Sebastian Harl <tokkee@debian.org> Fri, 28 Aug 2009 00:04:37 +0200
collectd (4.6.3-1) unstable; urgency=low
diff --git a/debian/patches/00list b/debian/patches/00list
index 2bf5010857541373f545fc41cc2e22cfa6abd358..d7c012296a615e5f6d0482fd65d793b57f02c6da 100644 (file)
--- a/debian/patches/00list
+++ b/debian/patches/00list
libvirt-reconnect.dpatch
plugin-fix-unregister.dpatch
java-fix-jvm-start.dpatch
-curl-followlocation.dpatch
+bts541953-curl-followlocation.dpatch
bts535787-powerdns-fix-localsocket.dpatch
bts542859-df-fix-ignorelist.dpatch
diff --git a/debian/patches/bts541953-curl-followlocation.dpatch b/debian/patches/bts541953-curl-followlocation.dpatch
--- /dev/null
@@ -0,0 +1,63 @@
+#! /bin/sh /usr/share/dpatch/dpatch-run
+## curl-followlocation.dpatch by Florian Forster <octo@verplant.org>
+##
+## DP: Plugins using libcurl: Enable the ‘CURLOPT_FOLLOWLOCATION’ option.
+
+@DPATCH@
+
+diff a/src/apache.c b/src/apache.c
+--- a/src/apache.c
++++ b/src/apache.c
+@@ -458,6 +458,7 @@ static int init_host (apache_t *st) /* {{{ */
+ }
+
+ curl_easy_setopt (st->curl, CURLOPT_URL, st->url);
++ curl_easy_setopt (st->curl, CURLOPT_FOLLOWLOCATION, 1);
+
+ if (st->verify_peer != 0)
+ {
+diff a/src/ascent.c b/src/ascent.c
+--- a/src/ascent.c
++++ b/src/ascent.c
+@@ -560,6 +560,7 @@ static int ascent_init (void) /* {{{ */
+ }
+
+ curl_easy_setopt (curl, CURLOPT_URL, url);
++ curl_easy_setopt (curl, CURLOPT_FOLLOWLOCATION, 1);
+
+ if ((verify_peer == NULL) || (strcmp (verify_peer, "true") == 0))
+ curl_easy_setopt (curl, CURLOPT_SSL_VERIFYPEER, 1);
+diff a/src/bind.c b/src/bind.c
+--- a/src/bind.c
++++ b/src/bind.c
+@@ -1395,6 +1395,7 @@ static int bind_init (void) /* {{{ */
+ curl_easy_setopt (curl, CURLOPT_USERAGENT, PACKAGE_NAME"/"PACKAGE_VERSION);
+ curl_easy_setopt (curl, CURLOPT_ERRORBUFFER, bind_curl_error);
+ curl_easy_setopt (curl, CURLOPT_URL, (url != NULL) ? url : BIND_DEFAULT_URL);
++ curl_easy_setopt (curl, CURLOPT_FOLLOWLOCATION, 1);
+
+ return (0);
+ } /* }}} int bind_init */
+diff a/src/curl.c b/src/curl.c
+--- a/src/curl.c
++++ b/src/curl.c
+@@ -346,6 +346,7 @@ static int cc_page_init_curl (web_page_t *wp) /* {{{ */
+ PACKAGE_NAME"/"PACKAGE_VERSION);
+ curl_easy_setopt (wp->curl, CURLOPT_ERRORBUFFER, wp->curl_errbuf);
+ curl_easy_setopt (wp->curl, CURLOPT_URL, wp->url);
++ curl_easy_setopt (wp->curl, CURLOPT_FOLLOWLOCATION, 1);
+
+ if (wp->user != NULL)
+ {
+diff a/src/nginx.c b/src/nginx.c
+--- a/src/nginx.c
++++ b/src/nginx.c
+@@ -141,6 +141,8 @@ static int init (void)
+ curl_easy_setopt (curl, CURLOPT_URL, url);
+ }
+
++ curl_easy_setopt (curl, CURLOPT_FOLLOWLOCATION, 1);
++
+ if ((verify_peer == NULL) || (strcmp (verify_peer, "true") == 0))
+ {
+ curl_easy_setopt (curl, CURLOPT_SSL_VERIFYPEER, 1);
diff --git a/debian/patches/curl-followlocation.dpatch b/debian/patches/curl-followlocation.dpatch
+++ /dev/null
@@ -1,63 +0,0 @@
-#! /bin/sh /usr/share/dpatch/dpatch-run
-## curl-followlocation.dpatch by Florian Forster <octo@verplant.org>
-##
-## DP: Plugins using libcurl: Enable the ‘CURLOPT_FOLLOWLOCATION’ option.
-
-@DPATCH@
-
-diff a/src/apache.c b/src/apache.c
---- a/src/apache.c
-+++ b/src/apache.c
-@@ -458,6 +458,7 @@ static int init_host (apache_t *st) /* {{{ */
- }
-
- curl_easy_setopt (st->curl, CURLOPT_URL, st->url);
-+ curl_easy_setopt (st->curl, CURLOPT_FOLLOWLOCATION, 1);
-
- if (st->verify_peer != 0)
- {
-diff a/src/ascent.c b/src/ascent.c
---- a/src/ascent.c
-+++ b/src/ascent.c
-@@ -560,6 +560,7 @@ static int ascent_init (void) /* {{{ */
- }
-
- curl_easy_setopt (curl, CURLOPT_URL, url);
-+ curl_easy_setopt (curl, CURLOPT_FOLLOWLOCATION, 1);
-
- if ((verify_peer == NULL) || (strcmp (verify_peer, "true") == 0))
- curl_easy_setopt (curl, CURLOPT_SSL_VERIFYPEER, 1);
-diff a/src/bind.c b/src/bind.c
---- a/src/bind.c
-+++ b/src/bind.c
-@@ -1395,6 +1395,7 @@ static int bind_init (void) /* {{{ */
- curl_easy_setopt (curl, CURLOPT_USERAGENT, PACKAGE_NAME"/"PACKAGE_VERSION);
- curl_easy_setopt (curl, CURLOPT_ERRORBUFFER, bind_curl_error);
- curl_easy_setopt (curl, CURLOPT_URL, (url != NULL) ? url : BIND_DEFAULT_URL);
-+ curl_easy_setopt (curl, CURLOPT_FOLLOWLOCATION, 1);
-
- return (0);
- } /* }}} int bind_init */
-diff a/src/curl.c b/src/curl.c
---- a/src/curl.c
-+++ b/src/curl.c
-@@ -346,6 +346,7 @@ static int cc_page_init_curl (web_page_t *wp) /* {{{ */
- PACKAGE_NAME"/"PACKAGE_VERSION);
- curl_easy_setopt (wp->curl, CURLOPT_ERRORBUFFER, wp->curl_errbuf);
- curl_easy_setopt (wp->curl, CURLOPT_URL, wp->url);
-+ curl_easy_setopt (wp->curl, CURLOPT_FOLLOWLOCATION, 1);
-
- if (wp->user != NULL)
- {
-diff a/src/nginx.c b/src/nginx.c
---- a/src/nginx.c
-+++ b/src/nginx.c
-@@ -141,6 +141,8 @@ static int init (void)
- curl_easy_setopt (curl, CURLOPT_URL, url);
- }
-
-+ curl_easy_setopt (curl, CURLOPT_FOLLOWLOCATION, 1);
-+
- if ((verify_peer == NULL) || (strcmp (verify_peer, "true") == 0))
- {
- curl_easy_setopt (curl, CURLOPT_SSL_VERIFYPEER, 1);